Read one wallet's V9 positions and activity
curl --request GET \
--url https://build.vibechain.com/api/retard/v9/portfolio/{wallet} \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/api/retard/v9/portfolio/{wallet}"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/api/retard/v9/portfolio/{wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet": "0x0000000000000000000000000000000000000001",
"positions": [
{
"marketId": 123,
"market": "0x0000000000000000000000000000000000000001",
"question": "<string>",
"closesAt": "2023-11-07T05:31:56Z",
"token": "0x0000000000000000000000000000000000000001",
"symbol": "<string>",
"balance": "<string>",
"winner": true,
"estimatedClaimWeth": "50000000000000000"
}
],
"activity": [
{
"marketId": 123,
"market": "0x0000000000000000000000000000000000000001",
"question": "<string>",
"token": "0x0000000000000000000000000000000000000001",
"symbol": "<string>",
"wethAmount": "50000000000000000",
"tokenAmount": "<string>",
"transactionHash": "<string>",
"blockNumber": "<string>",
"logIndex": 123
}
],
"referralCredits": [
{
"marketId": 123,
"market": "0x0000000000000000000000000000000000000001",
"question": "<string>",
"claimableWeth": "50000000000000000"
}
],
"nextCursor": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"unpricedTransferTokens": [
"0x0000000000000000000000000000000000000001"
],
"syncingMarketCount": 1
}{
"error": "<string>"
}{
"error": "API_KEY_REQUIRED_OR_RATE_LIMITED",
"docs": "<string>"
}{
"error": "<string>"
}Portfolio
Read one wallet's V9 positions and activity
GET
/
portfolio
/
{wallet}
Read one wallet's V9 positions and activity
Authorizations
Caller-specific VibeChain API key created through /apikey/create.
Path Parameters
EVM wallet address
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x0000000000000000000000000000000000000001"
Query Parameters
Zero-based durable numeric cursor
Required range:
x >= 0Required range:
1 <= x <= 100Response
Projected positions, activity, and referral credits
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x0000000000000000000000000000000000000001"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^0x[0-9a-fA-F]{40}$Available options:
READY, SYNCING_RECENT_ACTIVITY Required range:
x >= 0⌘I